Bug 207839 - [UPDATE] audio/teamspeak3-server: to 3.0.12.3 - On FreeBSD 9.3-RELEASE-p31
Summary: [UPDATE] audio/teamspeak3-server: to 3.0.12.3 - On FreeBSD 9.3-RELEASE-p31
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-09 12:43 UTC by UnR34L
Modified: 2016-03-11 21:15 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (hirner)
unr34lgaming: maintainer-feedback? (hirner)


Attachments
UPDATING.diff (706 bytes, patch)
2016-03-10 16:20 UTC, Ultima
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description UnR34L 2016-03-09 12:43:37 UTC
On FreeNAS 9.3 using Jails (FreeBSD 9.3-RELEASE-p31).

Updated to latest version now the service wont start. Reverting to 383236 fixed it.

Looked for error logs can't find any relevant.

Things I tried:
 Created a fresh jail, updated and installed from audio/teamspeak3-server.
Comment 1 Ultima 2016-03-09 15:13:42 UTC
(In reply to UnR34L from comment #0)

> Updated to latest version now the service wont start. Reverting to 383236 fixed it.

 FreeBSD 9.x is no longer supported by teamspeak. The minimum version required is 10.1. Also declares 10.2(or libc++ from ports/pkgs) is required in 3.0.13

source: http://forum.teamspeak.com/threads/123250-TeamSpeak-3-Server-3-0-12-3-released


 Because it is closed source, it is not fixable(Correct me if I'm wrong). I suggest we make a slave port for 3.0.11.4 and add this to UPDATING.
Comment 2 hirner 2016-03-10 09:23:47 UTC
(In reply to Ultima from comment #1)

I suggest that users with FreeBSD <10.1 use the non-port TeamSpeak (or software that is availabe open-source, like Mumble, if this is an option).

I wouldn't keep a bunch of old (and vulnerable) TeamSpeak versions in the ports repo (if that is what you mean by slave port).
Comment 3 Ultima 2016-03-10 16:20:04 UTC
Created attachment 167972 [details]
UPDATING.diff


* Add an entry to UPDATING

(In reply to hirner from comment #2)
I agree with this, 9.x is EOL at end of year, a slave port for 8ish months thats vuln is not recommended and shouldn't be required.
Comment 4 UnR34L 2016-03-10 17:08:23 UTC
Thank you both for replying,

Sadly Mumble isn't a option for me, I'll hold at this version for as long as I can.

Hopefully FreeNAS will catch up to FreeBSD 10 soon now that 9.X is reaching EOL.
Comment 5 commit-hook freebsd_committer 2016-03-11 21:15:13 UTC
A commit references this bug:

Author: pi
Date: Fri Mar 11 21:14:20 UTC 2016
New revision: 410841
URL: https://svnweb.freebsd.org/changeset/ports/410841

Log:
  audio/teamspeak3-server: add BROKEN for 9

  PR:		207839
  Submitted by:	Ultima <ultima1252@gmail.com> (maintainer)

Changes:
  head/audio/teamspeak3-server/Makefile